dbXML API

## org.dbxml.core.filer
Class BTree.BTreeRootInfo

    java.lang.Object
      |
      +--org.dbxml.core.filer.BTree.BTreeRootInfo

Enclosing class:
  BTree

public final class BTree.BTreeRootInfo
extends java.lang.Object

BTreeRootInfo

Constructor Summary
`BTree.BTreeRootInfo(BTree.BTreeRootInfo parent, java.lang.String name, long page)`
`BTree.BTreeRootInfo(BTree.BTreeRootInfo parent, Value name, long page)`
`BTree.BTreeRootInfo(java.lang.String name, long page)`
`BTree.BTreeRootInfo(Value name, long page)`

Method Summary
`Value` `getName()`
`long` `getPage()`
`BTree.BTreeRootInfo` `getParent()`
`void` `setPage(long page)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BTree.BTreeRootInfo

    public BTree.BTreeRootInfo(BTree.BTreeRootInfo parent,
                               java.lang.String name,
                               long page)

### BTree.BTreeRootInfo

    public BTree.BTreeRootInfo(BTree.BTreeRootInfo parent,
                               Value name,
                               long page)

### BTree.BTreeRootInfo

    public BTree.BTreeRootInfo(java.lang.String name,
                               long page)

### BTree.BTreeRootInfo

    public BTree.BTreeRootInfo(Value name,
                               long page)

Method Detail

### getParent

    public BTree.BTreeRootInfo getParent()

### getName

    public Value getName()

### getPage

    public long getPage()

### setPage

    public void setPage(long page)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved